package com.uas.platform.b2b.erp.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.uas.platform.b2b.dao.BarLabelDao;
import com.uas.platform.b2b.erp.model.Label;
import com.uas.platform.b2b.erp.service.BarLabelService;
import com.uas.platform.b2b.model.BarLabel;
import com.uas.platform.b2b.support.SystemSession;

@Service
public class BarLabelServiceImpl implements BarLabelService {

	@Autowired
	BarLabelDao barLabelDao;

	@Override
    public List<BarLabel> convertBarLabel(List<Label> labels) {
		List<BarLabel> barLabels = new ArrayList<BarLabel>();
		for (Label label : labels) {
			BarLabel barLabel = label.convent();
			List<BarLabel> barLabels2 = barLabelDao.findByEnUUAndCode(SystemSession.getUser().getEnterprise().getUu(),
					barLabel.getCode());
			if (barLabels2.size() == 0) {
				barLabels.add(barLabel);
			} else {
				barLabel.setId(barLabels2.get(0).getId());
				barLabels.add(barLabel);
			}
		}
		return barLabels;
	}
}
